﻿
@model IEnumerable<FunXgame.Models.Categoria>
@{
    ViewBag.Title = "ListarCategoria";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">
    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}


    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:white;background-color:black" href="~/Categorias/ListarCategoria">Listar Categorías</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Categorias/CrearCategoria">Agregar Categoría</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <!--SELECTOR FILTROS-->
                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Codigo_categoria" value="" placeholder="Codigo Categoría" />
                    </div>
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Nombre_categoria" value="" placeholder="Nombre Categoría" />
                    </div>

                    @*<div class="col-2 form-group">
                        @Html.DropDownList("Id_marca", null, "Todos", htmlAttributes: new { @class = "form-control", id = "Id_marca" })
                    </div>*@

                    <div class="col-3 form-group">
                        @Html.DropDownList("Id_estado", null, "Todos", htmlAttributes: new { @class = "form-control", id = "Id_estado" })
                    </div>

                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaCategoria">
                    <!--AQUI PARA FUNCION LISTADO VISTA PARCIAL-->
                    <!--ESTO VA EN VISTA PARCIAL-->

                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>

    <script>
        $(window).on("load", function () {
            cargaTablaCategoria();
         });

        $('#buscar').click(function () {
            cargaTablaCategoria();
            $(this).blur();
        });

        function cargaTablaCategoria() {
            let datos = '?codigo=' + $('#Codigo_categoria').val() + '&nombre=' + $('#Nombre_categoria').val() + '&estado=' + $('#Id_estado').val();
                $.get('@Url.Action("ListarCategoriaPartial")' + datos, function (lista) {
                    $('#tablaCategoria').html(lista);
                });
        }
    </script>

}